Bug 623847 - UPnP renderer doesn't work
UPnP renderer doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 20:05 EDT by Laurent Aguerreche
Modified: 2011-06-28 10:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Capture with Wireshark (53.58 KB, application/octet-stream)
2010-08-12 20:15 EDT, Laurent Aguerreche
no flags Details

  None (edit)
Description Laurent Aguerreche 2010-08-12 20:05:24 EDT
Description of problem:
Rhythmbox as a UPnP renderer doesn't work, which means that nothing appears in the GUI of RB.

How reproducible:
Everytime.

Steps to Reproduce:
0. Open the firewall if needed...
1. Fire RB with the UPnP plugin activated and a UPnP Server available on the same network.

But maybe i'm wrong when I set this plugin? I can't find any info about how to configure this plugin. There's a network interface to set! Why? Totem doesn't need it. And I have to give a port: that's cryptic.

Actual results:
Nothing in the GUI of RB but these lines are output:

$ rhythmbox
WARN  coherence                   août 13 01:41:01  Coherence UPnP framework version 0.6.4 starting... (coherence/base.py:281)
WARN  webserver                   août 13 01:41:01  WebServer on port 50002 ready (coherence/base.py:114)
Traceback (most recent call last):
  File "/usr/lib64/rhythmbox/plugins/upnp_coherence/__init__.py", line 138, in activate
    'rb_mediaserver': self.server,
AttributeError: 'CoherencePlugin' object has no attribute 'server'
WARN  event_protocol              août 13 01:41:02  response with error code '400' received upon our 'subscribe' request (coherence/upnp/core/event.py:214)
WARN  event_protocol              août 13 01:41:02  response with error code '400' received upon our 'subscribe' request (coherence/upnp/core/event.py:214)



Please note that I deactivated the RB UPnP Server with GConf (key 'dms'). If I turned it on again I obtain:


$ rhythmbox
WARN  coherence                   août 13 02:02:06  Coherence UPnP framework version 0.6.4 starting... (coherence/base.py:281)
WARN  webserver                   août 13 02:02:06  WebServer on port 50002 ready (coherence/base.py:114)
WARN  rb_coherence_plugin         août 13 02:02:06  Media Store available with UUID uuid:10630a5e-6e51-4969-930d-d3877ff77022 (coherence/__init__.py:124)
WARN  rb_coherence_plugin         août 13 02:02:06  Media Renderer available with UUID uuid:ca5c6270-9f80-4b1d-a75c-7dda07bacf1c (coherence/__init__.py:158)
WARN  rb_coherence_plugin         août 13 02:02:06  start looking for media servers (coherence/__init__.py:161)
WARN  rb_media_store              août 13 02:02:06  __init__ MediaStore {'urlbase': 'http://192.168.0.2:50002/10630a5e-6e51-4969-930d-d3877ff77022', 'no_thread_needed': True, 'uuid': 'uuid:10630a5e-6e51-4969-930d-d3877ff77022', 'plugin': <CoherencePlugin object at 0x2a90c80 (RBPlugin at 0x2c60980)>, 'db': <__main__.RhythmDBTree object at 0x35404b0 (RhythmDBTree at 0x1f3a1b0)>, 'version': 2, 'icon': {'url': 'file:///local/laguerre/.face', 'mimetype': 'image/jpeg', 'depth': '24', 'height': '96', 'width': '96'}} (coherence/MediaStore.py:341)
WARN  rb_media_renderer           août 13 02:02:06  __init__ RhythmboxPlayer {'shell': <rb.Shell object at 0x2808820 (RBShell at 0x1e82040)>, 'no_thread_needed': True, 'uuid': 'uuid:ca5c6270-9f80-4b1d-a75c-7dda07bacf1c', 'urlbase': 'http://192.168.0.2:50002/ca5c6270-9f80-4b1d-a75c-7dda07bacf1c', 'version': 2, 'rb_mediaserver': <coherence.upnp.devices.media_server.MediaServer object at 0x353c7d0>, 'icon': {'url': 'file:///local/laguerre/.face', 'mimetype': 'image/jpeg', 'depth': '24', 'height': '96', 'width': '96'}} (coherence/MediaPlayer.py:37)
WARN  rb_media_store              août 13 02:02:06  __init__ MediaStore initialized (coherence/MediaStore.py:431)
WARN  mediaserver                 août 13 02:02:06  Rhythmbox on 192.168.0.2 MediaServer (<upnp_coherence.MediaStore.MediaStore object at 0x35bd390>) activated with 10630a5e-6e51-4969-930d-d3877ff77022 (coherence/upnp/devices/media_server.py:630)
WARN  mediarenderer               août 13 02:02:06  Rhythmbox on 192.168.0.2 MediaRenderer (RhythmboxPlayer'>) activated with ca5c6270-9f80-4b1d-a75c-7dda07bacf1c (coherence/upnp/devices/media_renderer.py:128)
WARN  event_protocol              août 13 02:02:08  response with error code '400' received upon our 'subscribe' request (coherence/upnp/core/event.py:214)
WARN  event_protocol              août 13 02:02:08  response with error code '400' received upon our 'subscribe' request (coherence/upnp/core/event.py:214)


IP 192.168.0.2 is used by my computer. The UPnP DLNA server is at 192.168.0.4.


Expected results:
I'm not very sure. I think I should see an icon on the left side of RB?


Additional info:
My UPnP server is from Synology. My PS3 uses it perfectly. No problems with Totem (to play musics and movies).
Comment 1 Laurent Aguerreche 2010-08-12 20:15:11 EDT
Created attachment 438563 [details]
Capture with Wireshark

My computer 192.168.0.2 uses wlan0 to communicate with my UPnP server at 192.168.0.4. During this communication, the rhythmbox server was deactivated (RB was just a renderer).

Except the first frames for NTP, I think that all the frames are relatives to the communication by UPnP.

I closed RB after I saw the two error messages about error '400'.
Comment 2 Laurent Aguerreche 2010-08-12 20:31:25 EDT
I found on the log IP 192.168.0.254 which is the address of my ADSL box. Actually this box is called Freebox. It appears in the log because it is a router that can be configured through UPnP.
Comment 3 Andrea Musuruane 2010-11-14 09:18:00 EST
I have the same behaviour under F14.

As stated here I should be able to see a new section/list in the left hand panel in Rhythmbox called 'Shared' and under that you should see any MediaServers which are on your local network:
http://coherence.beebits.net/wiki/RhythmBox

If I watch what's going on on a terminal I get:

$ rhythmbox

(rhythmbox:14442): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
WARN  coherence                   nov 14 15:07:52  Coherence UPnP framework version 0.6.6.2 starting... (coherence/base.py:283)
WARN  webserver                   nov 14 15:07:52  WebServer on port 54187 ready (coherence/base.py:124)
Traceback (most recent call last):
  File "/usr/lib64/rhythmbox/plugins/upnp_coherence/__init__.py", line 76, in activate
    if self.entry_type is None:
AttributeError: 'CoherencePlugin' object has no attribute 'entry_type'
WARN  device                      nov 14 15:07:52  service has no uri for eventing (coherence/upnp/core/device.py:279)
[...]

This feature was working fine last time I tried it on F12.
Comment 4 Alex Lancaster 2011-05-14 20:44:27 EDT
Using F15 (pre-release):

rhythmbox-upnp-2.90.1-6.git20110328.fc15.x86_64

I'm finding that the plugin doesn't even appear under the list of plugins.  Nothing appears in debug mode either:


$ rhythmbox -D upnp
Gtk-Message: Failed to load module "pk-gtk-module"
(rhythmbox:7269): Rhythmbox-DEBUG: Received SaveYourself(SmSaveLocal, !Shutdown, SmInteractStyleNone, !Fast) in state idle
(rhythmbox:7269): Rhythmbox-DEBUG: Setting initial properties
(rhythmbox:7269): Rhythmbox-DEBUG: Sending SaveYourselfDone(True) for initial SaveYourself
(rhythmbox:7269): Rhythmbox-DEBUG: Received SaveComplete message in state save-yourself-done
Comment 5 Bug Zapper 2011-06-01 07:32:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-28 10:38:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.